Github - Connection timed out

I’m facing this error sir. How can I fix it? pls

Which version are you installing?

Some repositories from Open edX have been moved recently from the edx organization to the openedx organization. The error message seems to indicate a timeout because it still uses git instead of https in order to connect to github.

Do you need to install Insights?

Have you tried installing Open edX with Tutor?
See https://docs.tutor.overhang.io/

Dear All,

I am facing the same problem as @rose.

I am trying to install the OpenEDX native Lilac.2 release on an AWS server and I am getting the exact error like the screenshot shown in the first post.

I have tried to open port 9418 (as also stated in this other forum thread: Juniper install fail), but it didn’t work.

I also tried to reinstall after 30 minutes or 1 hour later as another user suggested, again no luck.

I have also tried to use https:// instead of git:// (using this command: git config --global url.“https://”.insteadOf git://), but it didn’t work either.

I would like your assistance in this, since I don’t know if this is a firewall issue (but I suppose in this case the other packages before the ‘insights/edx_analytics_dashboard’ would not install either) or a github issue (since in the ‘package.json’ file, the ‘edx-ui-toolkit’ dependency has the value “git://github.com/edx/edx-ui-toolkit.git#29759050aff2f4f3cb6921432855ad057bd69bb1”, which probably cause the issue - since it is ‘git://’ and not ‘https://’ and I am writing the wrong command for git config).

Any help would be greatly appreciated.

Best Regards,

Kostas.

Hello @kstefan @sambapete Have you found any solution? I am also installing with native installation method and i am stuck on this error. I am installing Lilac.master.

This issue also occur while installing koa.master

Best Regards.

I am sorry, I didn’t look into it since then as we are still preparing to move our production environment to Tutor.

1 Like